wget_1.19.4-1ubuntu2.2_amd64.deb


Advertisement

Description

wget - retrieves files from the web

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Main amd64
Package filename wget_1.19.4-1ubuntu2.2_amd64.deb
Package name wget
Package version 1.19.4
Package release 1ubuntu2.2
Package architecture amd64
Package type deb
Category web
Homepage https://www.gnu.org/software/wget/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 308.53 KB
Installed size 932.00 KB
Wget is a network utility to retrieve files from the web
using HTTP(S) and FTP, the two most widely used internet
protocols. It works non-interactively, so it will work in
the background, after having logged off. The program supports
recursive retrieval of web-authoring pages as well as FTP
sites -- you can use Wget to make mirrors of archives and
home pages or to travel the web like a WWW robot.
Wget works particularly well with slow or unstable connections
by continuing to retrieve a document until the document is fully
downloaded. Re-getting files from where it left off works on
servers (both HTTP and FTP) that support it. Both HTTP and FTP
retrievals can be time stamped, so Wget can see if the remote
file has changed since the last retrieval and automatically
retrieve the new version if it has.
Wget supports proxy servers; this can lighten the network load,
speed up retrieval, and provide access behind firewalls.

Alternatives

Package Version Architecture Repository
wget_1.19.4-1ubuntu2.2_i386.deb 1.19.4 i386 Ubuntu Updates Main
wget_1.19.4-1ubuntu2_i386.deb 1.19.4 i386 Ubuntu Main
wget_1.19.4-1ubuntu2_amd64.deb 1.19.4 amd64 Ubuntu Main
wget - - -

Requires

Name Value
libc6 >= 2.17
libidn2-0 >= 0.6
libpcre3 -
libpsl5 >= 0.16.0
libssl1.1 >= 1.1.0
libuuid1 >= 2.16

Conflicts

Name Value
wget-ssl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package wget_1.19.4-1ubuntu2.2_amd64.deb
Source Package wget

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install wget deb package:
    # sudo apt-get install wget

Files

Path
/etc/wgetrc
/usr/bin/wget
/usr/share/doc/wget/AUTHORS
/usr/share/doc/wget/MAILING-LIST
/usr/share/doc/wget/NEWS.gz
/usr/share/doc/wget/README
/usr/share/doc/wget/changelog.Debian.gz
/usr/share/doc/wget/copyright
/usr/share/info/wget.info.gz
/usr/share/man/man1/wget.1.gz

Changelog

2019-04-08 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
wget (1.19.4-1ubuntu2.2) bionic-security; urgency=medium
* SECURITY UPDATE: Access to sensitive information
- debian/patches/CVE-2018-20483-*.patch: fix in
src/ftp.c, src/http.c, src/xattr.c, src/xattr.h,
src/init.c, src/main.c, doc/wget.texi.
- CVE-2018-20483
* SECURITY UPDATE: Buffer overflow
- debian/patches/CVE-2019-5953-*.patch: fix in
src/iri.c.
- CVE-2019-5953
2018-05-08 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
wget (1.19.4-1ubuntu2.1) bionic-security; urgency=medium
* SECURITY UPDATE: Cookie injection vulnerability
- debian/patches/CVE-2018-0494.patch: fix cooking injection
in src/http.c.
- CVE-2018-0494
2018-02-05 - Dimitri John Ledkov <xnox@ubuntu.com>
wget (1.19.4-1ubuntu2) bionic; urgency=high
* No change rebuild against openssl1.1.
2018-02-05 - Julian Andres Klode <juliank@ubuntu.com>
wget (1.19.4-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Don't Build-Depend on libgnutls28-dev.
- Pass --with-ssl=openssl
- Enable parallel builds.
- debian/patches/disable-SSLv3.patch: properly detect SSLv3 being
disabled on Ubuntu because the method still exists for ABI reasons.
- debian/control: add pkg-config to Build-Depends.
2018-01-30 - Noël Köthe <noel@debian.org>
wget (1.19.4-1) unstable; urgency=medium
* new upstream release from 2018-01-21
removed patches from 1.19.3-2
* debian/control changed Priority from important to standard see #834811
* debian/compat to 11 and removed then unneded build-depends autotools-dev
2018-01-23 - Julian Andres Klode <juliank@ubuntu.com>
wget (1.19.3-2ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Don't Build-Depend on libgnutls28-dev.
- Pass --with-ssl=openssl
- Enable parallel builds.
- debian/patches/disable-SSLv3.patch: properly detect SSLv3 being
disabled on Ubuntu because the method still exists for ABI reasons.
- debian/control: add pkg-config to Build-Depends.
2018-01-21 - Noël Köthe <noel@debian.org>
wget (1.19.3-2) unstable; urgency=medium
* added upstream patches:
- 0001-Switch-off-compression-by-default.patch
- 0001--srchttpc-gethttp-Fix-bug-that-prevented-all-files-from-being-decompressed.patch
closes: Bug#887913, Bug#887910
2018-01-20 - Noël Köthe <noel@debian.org>
wget (1.19.3-1) unstable; urgency=medium
* new upstream release from 2018-01-19
- removed upstream included patches: wget_813158fixsegfault.patch
and gnulib.git.patch 
* debian/upstream/signing-key.asc added Darshit Shah
2018-01-04 - Noël Köthe <noel@debian.org>
wget (1.19.2-2) unstable; urgency=medium
* fixed segfault with upstream patch. closes: Bug#813158, #880542
wget_813158fixsegfault.patch
* corrected debian/watch
* debian/control: updated Standard-Version to 4.1.3; no changes needed
2017-11-10 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
wget (1.19.2-1ubuntu1) bionic; urgency=medium
* Merge with Debian, remaining changes:
- Don't Build-Depend on libgnutls28-dev.
- Pass --with-ssl=openssl
- Enable parallel builds.
- debian/patches/disable-SSLv3.patch: properly detect SSLv3 being
disabled on Ubuntu because the method still exists for ABI reasons.
- debian/control: add pkg-config to Build-Depends.
* Dropped changes:
- Don't build with libpsl-dev, which is in universe. (it's in main now)

See Also

Package Description
whoopsie_0.2.62ubuntu0.1_amd64.deb Ubuntu error tracker submission
winbind_4.7.6+dfsg~ubuntu-0ubuntu2.11_amd64.deb service to resolve user and group information from Windows NT servers
winpr-utils_2.0.0~git20170725.1.1648deb+dfsg1-7ubuntu0.1_amd64.deb Windows Portable Runtime library command line utilities
wireless-regdb_2018.05.09-0ubuntu1~18.04.1_all.deb wireless regulatory database
wpasupplicant_2.6-15ubuntu2.5_amd64.deb client support for WPA and WPA2 (IEEE 802.11i)
wslu_2.0.0-0ubuntu2~18.04.1_all.deb collection of utilities for the Windows 10 Linux Subsystem
x11-common_7.7+19ubuntu7.1_all.deb X Window System (X.Org) infrastructure
x11-xkb-utils_7.7+3ubuntu0.18.04.1_amd64.deb X11 XKB utilities
xapian-doc_1.4.5-1ubuntu0.1_all.deb Core Xapian documentation
xapian-examples_1.4.5-1ubuntu0.1_amd64.deb Xapian simple example programs
xbrlapi_5.5-4ubuntu2.0.1_amd64.deb Access software for a blind person using a braille display - xbrlapi
xdg-desktop-portal-dev_1.0.3-0ubuntu0.2_all.deb desktop integration portal - development files
xdg-desktop-portal-gtk_1.0.2-0ubuntu1.1_amd64.deb GTK+/GNOME portal backend for xdg-desktop-portal
xdg-desktop-portal-tests_1.0.3-0ubuntu0.2_amd64.deb desktop integration portal - automated tests
xdg-desktop-portal_1.0.3-0ubuntu0.2_amd64.deb desktop integration portal for Flatpak and Snap
Advertisement
Advertisement